[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] Larger diff against CVS concernig autofoo and debian/*




On Oct 23, 2006, at 4:46 PM, Carsten Haitzler (The Rasterman) wrote:

On Mon, 23 Oct 2006 16:43:02 -0700 Blake Barnett <shadoi@nanovoid.com> babbled:


On Oct 23, 2006, at 4:04 PM, Carsten Haitzler (The Rasterman) wrote:

On Sun, 22 Oct 2006 14:59:36 +0200 Jakob Haufe <sur5r@gmx.de> babbled:

On 21.10.2006 03:57, Carsten Haitzler (The Rasterman) wrote:

a lot os stuff there - and on an initial scan over them i'd
reject about
50% of what i see so far (cvs already fixed, weird version
changes, changes
in /etc location that don't match up with how verbatim autofoo
end up
installing the files,  ...)

I suppose the version change you mention is the strange "1:" in the
enlightenment package. The problem is the version of e16 in the
debian,
which has this "1:". So dpkg always thinks, that e17 is older than
e16

oh = hoorray for packaging stupidity. at no point in e's past
release history
have we actually broken versions and not incremented a version
numerically from
the previous one - there just is no need to use debian's epoch.
fan-bloody-tastic. :(

I mentioned this a while ago.  The debian packages on edevelop.org
have been setting the epoch version to 2:  for a long time now.

gah! epoch 2! now we just get an epoch race! :(


Obviously these packages wouldn't get into Debian this way. Once the version changes to 0.17, it won't matter anymore.

-Blake